Cash registers: Bimp API methods
Bimp API methods for the “Cash registers” resource (/org2/cashRegistry/…): 2 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/cashRegistry/api-readList | A request to view a list of cash registry |
POST /org2/cashRegistry/api-read | A request to obtain detailed information for a particular cash registry |
api-readList
POST /org2/cashRegistry/api-readList
A request to view a list of cash registry
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for the cash registry |
[].name | string | |
[].comment | string | |
[].currency | string (uuid) | |
[].main | boolean | |
[].accounting | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/cashRegistry/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/cashRegistry/api-read
A request to obtain detailed information for a particular cash registry
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for the cash registry |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for the cash registry |
name | string | |
comment | string | |
currency | string (uuid) | |
main | boolean | |
accounting | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/cashRegistry/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.